libstdc++: std::owner_less< void > Struct Reference

libstdc++

std::owner_less< void > Struct Reference
Utilities » Memory » Pointer Abstractions

`#include <shared_ptr.h>`

## Public Types
typedef _Tp | first_argument_type
typedef bool | result_type
typedef _Tp | second_argument_type

## Public Member Functions
bool | operator() (const _Tp &__lhs, const _Tp &__rhs) const noexcept
bool | operator() (const _Tp &__lhs, const _Tp1 &__rhs) const noexcept
bool | operator() (const _Tp1 &__lhs, const _Tp &__rhs) const noexcept

## Detailed Description

Void specialization of owner_less compares either shared_ptr or weak_ptr.

Definition at line 879 of file bits/shared_ptr.h.

## Member Typedef Documentation

## ◆ first_argument_type

typedef _Tp std::binary_function< _Tp, _Tp, bool >::first_argument_type
| inherited

`first_argument_type` is the type of the first argument

Definition at line 137 of file stl_function.h.

## ◆ result_type

typedef bool std::binary_function< _Tp, _Tp, bool >::result_type
| inherited

`result_type` is the return type

Definition at line 143 of file stl_function.h.

## ◆ second_argument_type

typedef _Tp std::binary_function< _Tp, _Tp, bool >::second_argument_type
| inherited

`second_argument_type` is the type of the second argument

Definition at line 140 of file stl_function.h.

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename _Tp, typename _Tp1>

bool std::_Sp_owner_less< _Tp, _Tp1 >::operator() | ( | const _Tp & | __lhs,
|  | const _Tp & | __rhs ) const
| inlinenoexceptinherited

Definition at line 2256 of file shared_ptr_base.h.

## ◆ operator()() [2/3]

template<typename _Tp, typename _Tp1>

bool std::_Sp_owner_less< _Tp, _Tp1 >::operator() | ( | const _Tp & | __lhs,
|  | const _Tp1 & | __rhs ) const
| inlinenoexceptinherited

Definition at line 2260 of file shared_ptr_base.h.

## ◆ operator()() [3/3]

template<typename _Tp, typename _Tp1>

bool std::_Sp_owner_less< _Tp, _Tp1 >::operator() | ( | const _Tp1 & | __lhs,
|  | const _Tp & | __rhs ) const
| inlinenoexceptinherited

Definition at line 2264 of file shared_ptr_base.h.

The documentation for this struct was generated from the following file:

- bits/shared_ptr.h